/*
   Copyright (c) 2013-2014, The Linux Foundation. All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions are
   met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimer in the documentation and/or other materials provided
      with the distribution.
    * Neither the name of The Linux Foundation nor the names of its
      contributors may be used to endorse or promote products derived
      from this software without specific prior written permission.

   THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
   WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
   ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
   IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __INIT_MSM__H__
#define __INIT_MSM__H__

#include <sys/system_properties.h>

#define PROP_HWROTATE    "ro.sf.hwrotation"
#define PROP_LCDDENSITY  "ro.sf.lcd_density"
#define PROP_QEMU_NAVKEY "qemu.hw.mainkeys"
#define PROP_BOOT_BASEBAND "ro.boot.baseband"
#define PROP_BLUETOOTH_SOC "qcom.bluetooth.soc"

#define UNUSED(a)       ((void)(a))
#define ISMATCH(a,b)    (!strncmp(a,b,PROP_VALUE_MAX))

void init_msm_properties(unsigned long msm_id, unsigned long msm_ver, char *board_type);
int read_file2(const char *fname, char *data, int max_size);

#endif /* __INIT_MSM__H__ */
